Package org.apache.tomcat.websocket

## Class EndpointClassHolder

- java.lang.Object
- - org.apache.tomcat.websocket.EndpointClassHolder

All Implemented Interfaces:
  `ClientEndpointHolder`

    public class EndpointClassHolder
    extends Object
    implements ClientEndpointHolder

### Constructor Summary

Constructors
`EndpointClassHolder​(Class<? extends Endpoint> clazz)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getClassName()`
`Endpoint` `getInstance​(InstanceManager instanceManager)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EndpointClassHolder

    public EndpointClassHolder​(Class<? extends Endpoint> clazz)

### Method Detail

#### getClassName

    public String getClassName()

Specified by:
  `getClassName` in interface `ClientEndpointHolder`

#### getInstance

    public Endpoint getInstance​(InstanceManager instanceManager)
                         throws DeploymentException

Specified by:
  `getInstance` in interface `ClientEndpointHolder`
Throws:
  `DeploymentException`